automation-cloud
latest
false
Automation Cloud API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Get Groups Rules with Quotas
API endpoint that retrieves license allocation rules and quota details for all groups in an organization.
Retrieves the list of users who have acquired licenses from a specific group. Requires an external application with the OrganizationAdmin or LicenseRead policy.
API Endpoint
GET {accessURL}/{organizationName}/lease_/api/account/{organizationId}/user-license/groups/with-quota
Replace {accessURL} in all endpoint paths with the base URL for your cloud platform:
| Cloud platform | Access URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud Public Sector | https://govcloud.uipath.us/ |
| Automation Cloud Dedicated | https://{customURL}.dedicated.uipath.com/ |
Request headers
--header 'Authorization: Bearer <your-access-token>'
--header 'Authorization: Bearer <your-access-token>'
Parameters
| Path param | Data type | Description |
|---|---|---|
organizationId | Guid | The ID of the organization in which your tenant resides. |
Query Parameters
All query parameters are optional and used for pagination.
| Parameter | Type | Description |
|---|---|---|
skip | Integer | Offset in results list. |
top | Integer | Number of results to return. Maximum: 50. |
sortBy | String | Field name for ordering. Use UpperCamelCase C# property names. |
sortOrder | String | Set direction. Accepted values: asc, desc. |
Responses
200 OK - returns the license rules and quota configuration for all groups.
404 - organization does not exist
[
{
"results": [
{
"groupRule": {
"id": "guid",
"name": "string",
"userBundleLicenses": ["string"],
"userBundleLeases": { "bundleCode": 0 },
"useExternalLicense": true,
"orphan": false,
"userLicenseBundlesUnavailable": ["string"]
},
"quotas": [
{
"userBundleCode": "string",
"limit": 0.0,
"currentUsage": 0
}
]
}
],
"totalCount": 0
}
]
[
{
"results": [
{
"groupRule": {
"id": "guid",
"name": "string",
"userBundleLicenses": ["string"],
"userBundleLeases": { "bundleCode": 0 },
"useExternalLicense": true,
"orphan": false,
"userLicenseBundlesUnavailable": ["string"]
},
"quotas": [
{
"userBundleCode": "string",
"limit": 0.0,
"currentUsage": 0
}
]
}
],
"totalCount": 0
}
]
Example request
[
curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer <your-access-token>'
]
[
curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer <your-access-token>'
]